igeo.io

## Class IRhino3dm.UserStringList

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.UserData
    - - igeo.io.IRhino3dm.UserStringList

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.UserStringList
      extends IRhino3dm.UserData

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<IRhino3dm.UserString>` | `userStrings`
    `static java.lang.String` | `uuid`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserStringList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(IRhino3dm.UserString str)`
    `IRhino3dm.UUID` | `getClassUUID()`
    `int` | `size()`
    `void` | `writeBody(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class igeo.io.IRhino3dm.UserData

      `write`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `createIObject, getType, read, read, setAttributes, setAttributesToIObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userStrings

          public java.util.ArrayList<IRhino3dm.UserString> userStrings

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UserStringList

          public UserStringList()

  - ### Method Detail

    - #### add

          public void add(IRhino3dm.UserString str)

    - #### size

          public int size()

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.UserData`

    - #### writeBody

          public void writeBody(IRhino3dm.Rhino3dmFile context,
                                java.io.OutputStream os,
                                java.util.zip.CRC32 crc)
                         throws java.io.IOException

      Overrides:
        `writeBody` in class `IRhino3dm.UserData`
      Throws:
        `java.io.IOException`